## quickppp 1.0-1

=== Makefile ===
EXEC=quickppp
CC=gcc
CFLAGS= -O2
LIBS=
LDFLAGS=-s
OBJECTS=quickppp.o
	
$(EXEC):$(OBJECTS)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $(EXEC) $(OBJECTS) $(LIBS)

clean:
	rm -f *.o *~ $(EXEC)
install:
	install -c -m755 quickppp debian/tmp/usr/sbin

=== debian/changelog ===
quickppp (1.0-1) unstable; urgency=low

  * Initial Release.

 -- Andrew Feinberg <agf@debian.org>  Fri, 19 Feb 1999 21:38:12 -0600

Local variables:
mode: debian-changelog
add-log-mailing-address: "agf@debian.org"
End:

=== debian/control ===
Source: quickppp
Section: utils
Priority: optional
Maintainer: Andrew Feinberg <agf@debian.org>
Standards-Version: 2.4.1

Package: quickppp
Architecture: any
Depends: ${shlibs:Depends}
Description: PPP Config tool
 A PPP configuration tool

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=quickppp

build:
	$(checkdir)
	
	$(MAKE) CFLAGS="-O2 -g -Wall"
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	$(MAKE) install DESTDIR=`pwd`/debian/tmp
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd 
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## quickppp 1.2.1

=== Makefile ===
--- 
+++ 
@@ -10,5 +10,3 @@
 
 clean:
 	rm -f *.o *~ $(EXEC)
-install:
-	install -c -m755 quickppp debian/tmp/usr/sbin
